.title-text-resources-section {
    & .title-text-resources-section-title {
        margin-bottom: 0.3rem;
    }

    & .title-text-resources-section-text {
        margin-bottom: 0.3rem;
    }

    & .title-text-resources-section-resources {
        position: relative;
        display: block;

        & .title-text-resources-section-resource {
            border-bottom: 1px solid var(--light-blue-color-1-opacity);

            &:first-child {
                border-top: 1px solid var(--light-blue-color-1-opacity);
            }

            & .title-text-resources-section-resource-link {
                position: relative;
                display: flex;
                flex-direction: row;
                flex-wrap: wrap;
                gap: 0.3rem;
                align-items: center;
                padding: 0.4rem 0rem;
                color: var(--black-color);
                font-weight: var(--regular-font);

                & span {
                    display: block;
                    width: calc(100% - 0.4rem - 0.3rem);
                }

                & .button-icon {
                    position: relative;
                    display: flex;
                    flex-direction: row;
                    justify-content: center;
                    align-items: center;
                    width: 0.4rem;
                    height: 0.4rem;
                    border: unset;
                    background-color: var(--light-blue-color-3);
                    border-radius: 50%;

                    &:before {
                        content: '';
                        position: absolute;
                        top: 0rem;
                        left: 0rem;
                        width: 100%;
                        height: 100%;
                        background: var(--light-blue-color-1);
                        border-radius: 50%;
                        transform: scale(0);
                        transform-origin: center;
                        transition: transform 300ms var(--custom-cubis-ease2);
                    }

                    &.download {
                        & svg {
                            position: relative;
                            display: inline-block;
                            width: 0.18rem;
                            height: 0.17rem;
                            fill: var(--black-color);
                            transition: fill 300ms var(--custom-cubis-ease2);
                        }
                    }

                    &.external {
                        & svg {
                            position: relative;
                            display: inline-block;
                            width: 0.16rem;
                            height: 0.16rem;
                            fill: var(--black-color);
                            transition: fill 300ms var(--custom-cubis-ease2);
                        }
                    }
                }
            }

            & .title-text-resources-section-resource-extra-content {
                margin-bottom: 0.4rem;
            }
        }
    }
}

@media screen and (max-width: 768px) {
    .title-text-resources-section {
        & .title-text-resources-section-title {
            margin-bottom: 0.2rem;
        }

        & .title-text-resources-section-text {
            margin-bottom: 0.2rem;
        }

        & .title-text-resources-section-resources {
            & .title-text-resources-section-resource {
                & .title-text-resources-section-resource-link {
                    gap: 0.2rem;
                    padding: 0.3rem 0rem;

                    & span {
                        width: calc(100% - 0.4rem - 0.2rem);
                    }

                    & .button-icon {
                        width: 0.4rem;
                        height: 0.4rem;

                        &.download {
                            & svg {
                                width: 0.18rem;
                                height: 0.17rem;
                            }
                        }

                        &.external {
                            & svg {
                                width: 0.16rem;
                                height: 0.16rem;
                            }
                        }
                    }
                }

                & .title-text-resources-section-resource-extra-content {
                    margin-bottom: 0.3rem;
                }
            }
        }
    }
}

@media (hover: hover) and (pointer: fine) {
    .title-text-resources-section {
        & .title-text-resources-section-resources {
            & .title-text-resources-section-resource {
                & .title-text-resources-section-resource-link:hover {
                    & .button-icon {
                        &:before {
                            transform: scale(1);
                        }

                        &.download {
                            & svg {
                                fill: var(--white-color);
                            }
                        }

                        &.external {
                            & svg {
                                fill: var(--white-color);
                            }
                        }
                    }
                }
            }
        }
    }
}